SIM
38 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getMailServerByMac | GET | Get mail server by mac |
| createMailServerByMac | POST | Create mail server by mac |
| correctSimQuotaByMac | POST | Correct SIM data |
| querySimQuotaSettingByMac | GET | Get SIM data setting by mac |
| modifySimQuotaSettingByMac | PATCH | Modify SIM data setting by mac |
| querySimCardQuotaSettingByMac | GET | Get one of Dual-SIM card's SIM data setting by mac |
| exportSmsMessageBymac | POST | Export SMS message by mac (deprecated) |
| getGridSmsInboxMessageByMac | GET | Get SMS inbox message by mac |
| getGridSimCardSmsInboxMessageByMac | GET | Get one of Dual-SIM card's SMS inbox message by mac |
| operateSmsMessageByMac | POST | Operate SMS message by mac |
| getGridSmsOutboxMessageByMac | GET | Get SMS outbox message by mac |
| getGridSimCardSmsOutboxMessageByMac | GET | Get one of Dual-SIM card's SMS outbox message by mac |
| querySmsPolicySettingByMac | GET | Query SMS policy setting by mac |
| modifySmsPolicySettingByMac | PATCH | Modify SMS policy setting |
| querySmsRouterCommandByMac | GET | Query SMS router command by mac |
| modifySmsRouterCommandByMac | PATCH | Modify SMS router command by mac |
| sendSmsMessageByMac | POST | Send SMS message |
| getSupportSmsByMac | GET | Get support SMS |
| getMailServer | GET | Get mail server |
| createMailServer | POST | Create mail server |
| modifyMailServer | PATCH | Modify mail server |
| correctSimQuota | POST | Correct SIM data |
| querySimQuotaSetting | GET | Get SIM data setting |
| modifySimQuotaSetting | PATCH | Modify SIM data setting |
| querySimCardQuotaSetting | GET | Get one of Dual-SIM card's SIM data setting |
| exportSmsMessage | POST | Export SMS message |
| getGridSmsInboxMessage | GET | Get SMS inbox message |
| getGridSimCardSmsInboxMessage | GET | Get one of Dual-SIM card's SMS inbox message |
| operateSmsMessage | POST | Operate SMS message |
| getGridSmsOutboxMessage | GET | Get SMS outbox message |
| getGridSimCardSmsOutboxMessage | GET | Get one of Dual-SIM card's SMS outbox message |
| querySmsPolicySetting | GET | Query SMS policy setting |
| modifySmsPolicySetting | PATCH | Modify SMS policy setting |
| querySmsRouterCommand | GET | Query SMS router command |
| modifySmsRouterCommand | PATCH | Modify SMS router command |
| sendSmsMessage | POST | Send SMS message |
| getSupportSms | GET | Get support SMS |
| exportSmsMessageBymacV2 | POST | Export SMS message by mac V2 |
getMailServerByMac
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/mails
Get mail server by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getMailServerByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get mail server by mac.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35500 - The adopted gateway does not support mail configurations.
createMailServerByMac
POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/mails
Create mail server by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema MailServerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | Mail server ID. |
sender | string | yes | The email address of the sender. |
receiver | string | yes | The email address of the receiver, which can be the same as or different from the sender's email address. |
ssl | boolean | yes | Enable this feature, and the data will be transmitted based on the SSL protocol. |
smtpServer | string | no | Enter the domain name or IP address of the SMTP server. |
smtpPort | integer | no | Enter the port used by the SMTP server according to the instructions of your email service provider. |
auth | boolean | yes | Enable this feature if the login of the mailbox requires a username and authorization code. |
username | string | no | When Authentication is enabled, enter your email address as the username. |
authCode | string | no | When Authentication is enabled, enter the authorization code that enables a third party to log in to the mailbox. Note that the authorization code is not the mailbox's password. |
resource | integer | no | Mail server setting creation resource, such as: 0: new created, 1: from template, 2: override. |
// omada_call_operation
{
"operationId": "createMailServerByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create mail server by mac.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35500 - The adopted gateway does not support mail configurations.
-35502 - The number of mail server has reached the limit.
correctSimQuotaByMac
POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/correct
Correct SIM data
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema CorrectSimQuota
| Field | Type | Required | Description |
|---|---|---|---|
data | number (float) | no | The amount of data usage(KB) in current billing cycle. |
sms | integer | no | The amount of SMS in current billing cycle, valid date should be within the range of 0–100000. |
simCard | integer | no | When device supports Dual-SIM card, using parameter [simCard] to point which card to configure. 1: SIM1; 2:SIM2. |
// omada_call_operation
{
"operationId": "correctSimQuotaByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Correct SIM data.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
querySimQuotaSettingByMac
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/quota
Get SIM data setting by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "querySimQuotaSettingByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get SIM data setting by mac.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
modifySimQuotaSettingByMac
PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/quota
Modify SIM data setting by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema SimQuotaSetting
| Field | Type | Required | Description |
|---|---|---|---|
dataSetting | QuotaDataSettingOpenApiVO | no | (QuotaDataSettingOpenApiVO not expanded; call omada_get_schema "QuotaDataSettingOpenApiVO") |
smsSetting | QuotaSmsSettingOpenApiVO | no | (QuotaSmsSettingOpenApiVO not expanded; call omada_get_schema "QuotaSmsSettingOpenApiVO") |
simCard | integer | no | When device supports Dual-SIM card, using parameter [simCard] to point which card to configure. 1: SIM1; 2:SIM2. |
cardStatus | integer | no | Sim card status. |
resource | integer | no | Sim quota setting creation resource,such as: 0: new created, 1: from template, 2: override. |
// omada_call_operation
{
"operationId": "modifySimQuotaSettingByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SIM data setting by mac.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
querySimCardQuotaSettingByMac
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/quota/{simCard}
Get one of Dual-SIM card's SIM data setting by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
simCard | path | string | yes | SIM card. 1: SIM1; 2: SIM2. |
// omada_call_operation
{
"operationId": "querySimCardQuotaSettingByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"simCard": "<simCard>"
}
}Details, permissions and error codes
Get SIM data setting by mac.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
exportSmsMessageBymac
POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/export
Deprecated
This operation is deprecated.
Export SMS message by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ExportMessage
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Message parameter [type] should be 0 or 1. 0:inbox; 1:outbox. |
format | integer | yes | Message parameter [format] should be 0 or 1. 0:csv; 1:xlsx. |
startTime | integer | yes | The timeStamp of the message start time. |
endTime | integer | yes | The timeStamp of the message end time. |
simCard | integer | no | When the device supports Dual-SIM cardm parameter [simCard] should be 1 or 2. 1: SIM1; 2: SIM2. |
// omada_call_operation
{
"operationId": "exportSmsMessageBymac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Export SMS message by mac.This interface has been deprecated. Please use the following interfaces instead: Export SMS message by mac V2.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
-35404 - Device does not exist, cannot export message.
-35406 - No SMS, cannot export.
-35411 - The gateway does not support Dual-SIM standby.
getGridSmsInboxMessageByMac
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/inbox
Get SMS inbox message by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSmsInboxMessageByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get SMS inbox message by mac.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
getGridSimCardSmsInboxMessageByMac
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/inbox/{simCard}
Get one of Dual-SIM card's SMS inbox message by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
simCard | path | string | yes | SIM card. 1: SIM1; 2: SIM2. |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSimCardSmsInboxMessageByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"simCard": "<simCard>"
}
}Details, permissions and error codes
Get SMS inbox message by mac.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
-35411 - The gateway does not support Dual-SIM standby.
operateSmsMessageByMac
POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/operate
Operate SMS message by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OperateMessage
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Message Type. 0: inbox; 1: outbox. |
operation | integer | yes | Operation Type. 1:delete; 2:read; 3:clear. |
ids | array<integer> | no | Message ID list. When parameter [operation] is 1 or 2, parameter [ids] should not be null. |
simCard | integer | no | When the device supports Dual-SIM card, parameter [simCard] should not be null.1: SIM1; 2: SIM2. |
// omada_call_operation
{
"operationId": "operateSmsMessageByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Operate SMS message by mac.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
-35402 - Device does not exist, cannot send message.
-35411 - The gateway does not support Dual-SIM standby.
-44301 - Failed to get any response from the gateway.
getGridSmsOutboxMessageByMac
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/outbox
Get SMS outbox message by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSmsOutboxMessageByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get SMS outbox message by mac.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
getGridSimCardSmsOutboxMessageByMac
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/outbox/{simCard}
Get one of Dual-SIM card's SMS outbox message by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
simCard | path | string | yes | SIM card. 1: SIM1; 2: SIM2. |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSimCardSmsOutboxMessageByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"simCard": "<simCard>"
}
}Details, permissions and error codes
Get SMS outbox message by mac.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
querySmsPolicySettingByMac
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/policy
Query SMS policy setting by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "querySmsPolicySettingByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Query SMS policy setting by mac.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
modifySmsPolicySettingByMac
PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/policy
Modify SMS policy setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema SmaPolicySetting
| Field | Type | Required | Description |
|---|---|---|---|
inboxPolicy | integer | yes | Policy parameter [inboxPolicy] should be from 0 to 2. 0: If SMS inbox/outbox is full, delete the oldest read SMS; 1: If SMS inbox/outbox is full, send e-mail alert to Administrator;2: If SMS inbox/outbox is full, Forward new SMS with e-mail to Administrator. |
mailServer | string | no | Mail server ID. |
resource | integer | no | SMS policy setting creation resource, such as: 0: new created, 1: from template, 2: override. |
// omada_call_operation
{
"operationId": "modifySmsPolicySettingByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SMS policy setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
-35503 - The mail server does not config.
-44405 - The configuration has been overridden.
querySmsRouterCommandByMac
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/router-command
Query SMS router command by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "querySmsRouterCommandByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Query SMS router command by mac.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
modifySmsRouterCommandByMac
PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/router-command
Modify SMS router command by mac
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema SmsRouterCommand
| Field | Type | Required | Description |
|---|---|---|---|
rebootEnable | boolean | yes | Whether to enable the control of device restart via SMS. |
reboot | Reboot | no | (Reboot not expanded; call omada_get_schema "Reboot") |
statusEnable | boolean | yes | Whether to enable Viewing device-related information and WAN port-related information via SMS. |
status | Status | no | (Status not expanded; call omada_get_schema "Status") |
accessEnable | boolean | yes | Whether to enable the allow list of the above functions, and only allow users in the list to interact with the device. |
access | Access | no | (Access not expanded; call omada_get_schema "Access") |
resource | integer | no | The SMS router command setting creation resource, such as: 0: new created, 1: from template, 2: override. |
// omada_call_operation
{
"operationId": "modifySmsRouterCommandByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SMS router command by mac.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
-44405 - The configuration has been overridden.
sendSmsMessageByMac
POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/send
Send SMS message
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema SendMessage
| Field | Type | Required | Description |
|---|---|---|---|
callingCode | string | no | Calling code should contain 2 to 5 characters. Calling code must be entered when entering the country code. For the values of Calling code, refer to section 5.4.1 of the Open API Access Guide. |
receiver | string | yes | Receiver number. |
type | integer | yes | Send type. 0: formal; 1: test |
content | string | no | When parameter [type] is 0, parameter [content] should not be null. |
test | SimQuotaSetting | no | (SimQuotaSetting not expanded; call omada_get_schema "SimQuotaSetting") |
simCard | integer | no | When the device supports Dual-SIM card, parameter [simCard] shoud not be null.1: SIM1; 2: SIM2. |
// omada_call_operation
{
"operationId": "sendSmsMessageByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Send SMS message.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
-35402 - Device does not exist, cannot send message.
-35411 - The gateway does not support Dual-SIM standby.
-44301 - Failed to get any response from the gateway.
getSupportSmsByMac
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/sim/sms/support
Get support SMS
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getSupportSmsByMac",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get SIM card whether supports SMS.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
getMailServer
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/mails
Get mail server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getMailServer",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get mail server.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35500 - The adopted gateway does not support mail configurations.
createMailServer
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/mails
Create mail server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema MailServerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | Mail server ID. |
sender | string | yes | The email address of the sender. |
receiver | string | yes | The email address of the receiver, which can be the same as or different from the sender's email address. |
ssl | boolean | yes | Enable this feature, and the data will be transmitted based on the SSL protocol. |
smtpServer | string | no | Enter the domain name or IP address of the SMTP server. |
smtpPort | integer | no | Enter the port used by the SMTP server according to the instructions of your email service provider. |
auth | boolean | yes | Enable this feature if the login of the mailbox requires a username and authorization code. |
username | string | no | When Authentication is enabled, enter your email address as the username. |
authCode | string | no | When Authentication is enabled, enter the authorization code that enables a third party to log in to the mailbox. Note that the authorization code is not the mailbox's password. |
resource | integer | no | Mail server setting creation resource, such as: 0: new created, 1: from template, 2: override. |
// omada_call_operation
{
"operationId": "createMailServer",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create mail server.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35500 - The adopted gateway does not support mail configurations.
-35502 - The number of mail server has reached the limit.
modifyMailServer
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/mails/{mailId}
Modify mail server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
mailId | path | string | yes | Mail ID |
Request body — application/json (required) — schema MailServerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | Mail server ID. |
sender | string | yes | The email address of the sender. |
receiver | string | yes | The email address of the receiver, which can be the same as or different from the sender's email address. |
ssl | boolean | yes | Enable this feature, and the data will be transmitted based on the SSL protocol. |
smtpServer | string | no | Enter the domain name or IP address of the SMTP server. |
smtpPort | integer | no | Enter the port used by the SMTP server according to the instructions of your email service provider. |
auth | boolean | yes | Enable this feature if the login of the mailbox requires a username and authorization code. |
username | string | no | When Authentication is enabled, enter your email address as the username. |
authCode | string | no | When Authentication is enabled, enter the authorization code that enables a third party to log in to the mailbox. Note that the authorization code is not the mailbox's password. |
resource | integer | no | Mail server setting creation resource, such as: 0: new created, 1: from template, 2: override. |
// omada_call_operation
{
"operationId": "modifyMailServer",
"params": {
"siteId": "<siteId>",
"mailId": "<mailId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify mail server.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35500 - The adopted gateway does not support mail configurations.
-35501 - The mail server does not exist.
correctSimQuota
POST /openapi/v1/{omadacId}/sites/{siteId}/sim/correct
Correct SIM data
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CorrectSimQuota
| Field | Type | Required | Description |
|---|---|---|---|
data | number (float) | no | The amount of data usage(KB) in current billing cycle. |
sms | integer | no | The amount of SMS in current billing cycle, valid date should be within the range of 0–100000. |
simCard | integer | no | When device supports Dual-SIM card, using parameter [simCard] to point which card to configure. 1: SIM1; 2:SIM2. |
// omada_call_operation
{
"operationId": "correctSimQuota",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Correct SIM data.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
querySimQuotaSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/sim/quota
Get SIM data setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "querySimQuotaSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SIM data setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
modifySimQuotaSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/sim/quota
Modify SIM data setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SimQuotaSetting
| Field | Type | Required | Description |
|---|---|---|---|
dataSetting | QuotaDataSettingOpenApiVO | no | (QuotaDataSettingOpenApiVO not expanded; call omada_get_schema "QuotaDataSettingOpenApiVO") |
smsSetting | QuotaSmsSettingOpenApiVO | no | (QuotaSmsSettingOpenApiVO not expanded; call omada_get_schema "QuotaSmsSettingOpenApiVO") |
simCard | integer | no | When device supports Dual-SIM card, using parameter [simCard] to point which card to configure. 1: SIM1; 2:SIM2. |
cardStatus | integer | no | Sim card status. |
resource | integer | no | Sim quota setting creation resource,such as: 0: new created, 1: from template, 2: override. |
// omada_call_operation
{
"operationId": "modifySimQuotaSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SIM data setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
querySimCardQuotaSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/sim/quota/{simCard}
Get one of Dual-SIM card's SIM data setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
simCard | path | string | yes | SIM card. 1: SIM1; 2: SIM2. |
// omada_call_operation
{
"operationId": "querySimCardQuotaSetting",
"params": {
"siteId": "<siteId>",
"simCard": "<simCard>"
}
}Details, permissions and error codes
Get SIM data setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
exportSmsMessage
POST /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/export
Export SMS message
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ExportMessage
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Message parameter [type] should be 0 or 1. 0:inbox; 1:outbox. |
format | integer | yes | Message parameter [format] should be 0 or 1. 0:csv; 1:xlsx. |
startTime | integer | yes | The timeStamp of the message start time. |
endTime | integer | yes | The timeStamp of the message end time. |
simCard | integer | no | When the device supports Dual-SIM cardm parameter [simCard] should be 1 or 2. 1: SIM1; 2: SIM2. |
// omada_call_operation
{
"operationId": "exportSmsMessage",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Export SMS message.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
-35404 - Device does not exist, cannot export message.
-35406 - No SMS, cannot export.
-35411 - The gateway does not support Dual-SIM standby.
getGridSmsInboxMessage
GET /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/inbox
Get SMS inbox message
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSmsInboxMessage",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SMS inbox message.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
getGridSimCardSmsInboxMessage
GET /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/inbox/{simCard}
Get one of Dual-SIM card's SMS inbox message
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
simCard | path | string | yes | SIM card. 1: SIM1; 2: SIM2. |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSimCardSmsInboxMessage",
"params": {
"siteId": "<siteId>",
"simCard": "<simCard>"
}
}Details, permissions and error codes
Get SMS inbox message.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
-35411 - The gateway does not support Dual-SIM standby.
operateSmsMessage
POST /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/operate
Operate SMS message
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OperateMessage
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Message Type. 0: inbox; 1: outbox. |
operation | integer | yes | Operation Type. 1:delete; 2:read; 3:clear. |
ids | array<integer> | no | Message ID list. When parameter [operation] is 1 or 2, parameter [ids] should not be null. |
simCard | integer | no | When the device supports Dual-SIM card, parameter [simCard] should not be null.1: SIM1; 2: SIM2. |
// omada_call_operation
{
"operationId": "operateSmsMessage",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Operate SMS message.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
-35402 - Device does not exist, cannot send message.
-35411 - The gateway does not support Dual-SIM standby.
-44301 - Failed to get any response from the gateway.
getGridSmsOutboxMessage
GET /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/outbox
Get SMS outbox message
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSmsOutboxMessage",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SMS outbox message.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
getGridSimCardSmsOutboxMessage
GET /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/outbox/{simCard}
Get one of Dual-SIM card's SMS outbox message
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
simCard | path | string | yes | SIM card. 1: SIM1; 2: SIM2. |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSimCardSmsOutboxMessage",
"params": {
"siteId": "<siteId>",
"simCard": "<simCard>"
}
}Details, permissions and error codes
Get SMS outbox message.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
querySmsPolicySetting
GET /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/policy
Query SMS policy setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "querySmsPolicySetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Query SMS policy setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
modifySmsPolicySetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/policy
Modify SMS policy setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SmaPolicySetting
| Field | Type | Required | Description |
|---|---|---|---|
inboxPolicy | integer | yes | Policy parameter [inboxPolicy] should be from 0 to 2. 0: If SMS inbox/outbox is full, delete the oldest read SMS; 1: If SMS inbox/outbox is full, send e-mail alert to Administrator;2: If SMS inbox/outbox is full, Forward new SMS with e-mail to Administrator. |
mailServer | string | no | Mail server ID. |
resource | integer | no | SMS policy setting creation resource, such as: 0: new created, 1: from template, 2: override. |
// omada_call_operation
{
"operationId": "modifySmsPolicySetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SMS policy setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
-35503 - The mail server does not config.
-44405 - The configuration has been overridden.
querySmsRouterCommand
GET /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/router-command
Query SMS router command
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "querySmsRouterCommand",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Query SMS router command.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
modifySmsRouterCommand
PATCH /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/router-command
Modify SMS router command
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SmsRouterCommand
| Field | Type | Required | Description |
|---|---|---|---|
rebootEnable | boolean | yes | Whether to enable the control of device restart via SMS. |
reboot | Reboot | no | (Reboot not expanded; call omada_get_schema "Reboot") |
statusEnable | boolean | yes | Whether to enable Viewing device-related information and WAN port-related information via SMS. |
status | Status | no | (Status not expanded; call omada_get_schema "Status") |
accessEnable | boolean | yes | Whether to enable the allow list of the above functions, and only allow users in the list to interact with the device. |
access | Access | no | (Access not expanded; call omada_get_schema "Access") |
resource | integer | no | The SMS router command setting creation resource, such as: 0: new created, 1: from template, 2: override. |
// omada_call_operation
{
"operationId": "modifySmsRouterCommand",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SMS router command.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35400 - The adopted gateway does not support SIM configurations.
-44405 - The configuration has been overridden.
sendSmsMessage
POST /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/send
Send SMS message
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SendMessage
| Field | Type | Required | Description |
|---|---|---|---|
callingCode | string | no | Calling code should contain 2 to 5 characters. Calling code must be entered when entering the country code. For the values of Calling code, refer to section 5.4.1 of the Open API Access Guide. |
receiver | string | yes | Receiver number. |
type | integer | yes | Send type. 0: formal; 1: test |
content | string | no | When parameter [type] is 0, parameter [content] should not be null. |
test | SimQuotaSetting | no | (SimQuotaSetting not expanded; call omada_get_schema "SimQuotaSetting") |
simCard | integer | no | When the device supports Dual-SIM card, parameter [simCard] shoud not be null.1: SIM1; 2: SIM2. |
// omada_call_operation
{
"operationId": "sendSmsMessage",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Send SMS message.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
-35402 - Device does not exist, cannot send message.
-35411 - The gateway does not support Dual-SIM standby.
-44301 - Failed to get any response from the gateway.
getSupportSms
GET /openapi/v1/{omadacId}/sites/{siteId}/sim/sms/support
Get support SMS
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSupportSms",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SIM card whether supports SMS.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
exportSmsMessageBymacV2
POST /openapi/v2/{omadacId}/files/sites/{siteId}/gateways/{gatewayMac}/sim/sms/export
Export SMS message by mac V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ExportMessage
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Message parameter [type] should be 0 or 1. 0:inbox; 1:outbox. |
format | integer | yes | Message parameter [format] should be 0 or 1. 0:csv; 1:xlsx. |
startTime | integer | yes | The timeStamp of the message start time. |
endTime | integer | yes | The timeStamp of the message end time. |
simCard | integer | no | When the device supports Dual-SIM cardm parameter [simCard] should be 1 or 2. 1: SIM1; 2: SIM2. |
// omada_call_operation
{
"operationId": "exportSmsMessageBymacV2",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Export SMS message by mac.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33411 - Current gateway is not connected.
-35400 - The adopted gateway does not support SIM configurations.
-35404 - Device does not exist, cannot export message.
-35406 - No SMS, cannot export.
-35411 - The gateway does not support Dual-SIM standby.